Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/config-min.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/config-min.cfg	(revision 129)
+++ 	(revision )
@@ -1,20 +1,0 @@
-Rename_unit
-1	1	+1	# nb_front_end                     
-1	1	+1	# nb_context                       [0]    [nb_front_end]
-1	1	+1	# nb_inst_decod                    [0]    [nb_front_end]
-1	1	+1	# nb_inst_insert                   
-1	1	+1	# nb_inst_retire                   
-1	1	+1	# nb_load_store_queue              
-2	2	+1	# size_store_queue                 [0]    [nb_load_store_queue]
-1	1	+1	# size_load_queue                  [0]    [nb_load_store_queue]
-1	1	+1	# nb_inst_memory                   [0]    [nb_load_store_queue]
-0	0	+1	# link_load_store_unit_with_thread [0][0] [nb_front_end][nb_context]
-1	1	+1	# rename_select_priority           
-1	1	+1	# rename_select_load_balancing     
-1	1	+1	# rename_select_nb_front_end_select
-1 	1	+1	# max_branch_speculated            
-32	32	+1	# size_general_data                
-64	64	+1	# nb_general_register              
-4	4	+1	# nb_special_register              
-1	1	+1	# nb_reg_free                      
-1	1	+1	# nb_bank                          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/config-thread_1a.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/config-thread_1a.cfg	(revision 129)
+++ 	(revision )
@@ -1,20 +1,0 @@
-Rename_unit
-1	1	+1	# nb_front_end                     
-1	1	+1	# nb_context                       [0]    [nb_front_end]
-4	4	+1	# nb_inst_decod                    [0]    [nb_front_end]
-4	4	+1	# nb_inst_insert                   
-4	4	+1	# nb_inst_retire                   
-1	1	+1	# nb_load_store_queue              
-8	8	+1	# size_store_queue                 [0]    [nb_load_store_queue]
-8	8	+1	# size_load_queue                  [0]    [nb_load_store_queue]
-8	8	+1	# nb_inst_memory                   [0]    [nb_load_store_queue]
-0	0	+1	# link_load_store_unit_with_thread [0][0] [nb_front_end][nb_context]
-1	1	+1	# rename_select_priority           
-1	1	+1	# rename_select_load_balancing     
-1	1	+1	# rename_select_nb_front_end_select
-4 	4	+1	# max_branch_speculated            
-32	32	+1	# size_general_data                
-64	64	+1	# nb_general_register              
-8	8	+1	# nb_special_register              
-2	2	+1	# nb_reg_free                      
-4	8	*2	# nb_bank                          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/config-thread_4a.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/config-thread_4a.cfg	(revision 129)
+++ 	(revision )
@@ -1,23 +1,0 @@
-Rename_unit
-1	1	+1	# nb_front_end                     
-4	4	+1	# nb_context                       [0]    [nb_front_end]
-4	4	+1	# nb_inst_decod                    [0]    [nb_front_end]
-4	4	+1	# nb_inst_insert                   
-4	4	+1	# nb_inst_retire                   
-1	1	+1	# nb_load_store_queue              
-8	8	+1	# size_store_queue                 [0]    [nb_load_store_queue]
-8	8	+1	# size_load_queue                  [0]    [nb_load_store_queue]
-4	4	+1	# nb_inst_memory                   [0]    [nb_load_store_queue]
-0	0	+1	# link_load_store_unit_with_thread [0][0] [nb_front_end][nb_context]
-0	0	+1	# link_load_store_unit_with_thread [0][1] [nb_front_end][nb_context]
-0	0	+1	# link_load_store_unit_with_thread [0][2] [nb_front_end][nb_context]
-0	0	+1	# link_load_store_unit_with_thread [0][3] [nb_front_end][nb_context]
-1	1	+1	# rename_select_priority           
-1	1	+1	# rename_select_load_balancing     
-1	1	+1	# rename_select_nb_front_end_select
-4 	4	+1	# max_branch_speculated            
-32	32      +1	# size_general_data                
-256	256     +1	# nb_general_register              
-16	16	+1	# nb_special_register              
-2	2	+1	# nb_reg_free                      
-8	8	*2	# nb_bank                          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/config-thread_4b.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/config-thread_4b.cfg	(revision 129)
+++ 	(revision )
@@ -1,26 +1,0 @@
-Rename_unit
-1	1	+1	# nb_front_end                     
-4	4	+1	# nb_context                       [0]    [nb_front_end]
-4	4	+1	# nb_inst_decod                    [0]    [nb_front_end]
-4	4	+1	# nb_inst_insert                   
-4	4	+1	# nb_inst_retire                   
-2	2	+1	# nb_load_store_queue              
-8	8	+1	# size_store_queue                 [0]    [nb_load_store_queue]
-4	4	+1	# size_store_queue                 [1]    [nb_load_store_queue]
-8	8	+1	# size_load_queue                  [0]    [nb_load_store_queue]
-4	4	+1	# size_load_queue                  [1]    [nb_load_store_queue]
-4	4	+1	# nb_inst_memory                   [0]    [nb_load_store_queue]
-2	2	+1	# nb_inst_memory                   [1]    [nb_load_store_queue]
-0	0	+1	# link_load_store_unit_with_thread [0][0] [nb_front_end][nb_context]
-1	1	+1	# link_load_store_unit_with_thread [0][1] [nb_front_end][nb_context]
-1	1	+1	# link_load_store_unit_with_thread [0][2] [nb_front_end][nb_context]
-0	0	+1	# link_load_store_unit_with_thread [0][3] [nb_front_end][nb_context]
-1	1	+1	# rename_select_priority           
-1	1	+1	# rename_select_load_balancing     
-1	1	+1	# rename_select_nb_front_end_select
-4 	4	+1	# max_branch_speculated            
-32	32      +1	# size_general_data                
-256	256     +1	# nb_general_register              
-16	16	+1	# nb_special_register              
-2	2	+1	# nb_reg_free                      
-8	8	*2	# nb_bank                          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/configuration/config-min.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/configuration/config-min.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/configuration/config-min.gen	(revision 145)
@@ -0,0 +1,20 @@
+Rename_unit
+1	1	+1	# nb_front_end                     
+1	1	+1	# nb_context                       [0]    [nb_front_end]
+1	1	+1	# nb_inst_decod                    [0]    [nb_front_end]
+1	1	+1	# nb_inst_insert                   
+1	1	+1	# nb_inst_retire                   
+1	1	+1	# nb_load_store_queue              
+2	2	+1	# size_store_queue                 [0]    [nb_load_store_queue]
+1	1	+1	# size_load_queue                  [0]    [nb_load_store_queue]
+1	1	+1	# nb_inst_memory                   [0]    [nb_load_store_queue]
+0	0	+1	# link_load_store_unit_with_thread [0][0] [nb_front_end][nb_context]
+1	1	+1	# rename_select_priority           
+1	1	+1	# rename_select_load_balancing     
+1	1	+1	# rename_select_nb_front_end_select
+1 	1	+1	# max_branch_speculated            
+32	32	+1	# size_general_data                
+64	64	+1	# nb_general_register              
+4	4	+1	# nb_special_register              
+1	1	+1	# nb_reg_free                      
+1	1	+1	# nb_bank                          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/configuration/config-thread_1a.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/configuration/config-thread_1a.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/configuration/config-thread_1a.gen	(revision 145)
@@ -0,0 +1,20 @@
+Rename_unit
+1	1	+1	# nb_front_end                     
+1	1	+1	# nb_context                       [0]    [nb_front_end]
+4	4	+1	# nb_inst_decod                    [0]    [nb_front_end]
+4	4	+1	# nb_inst_insert                   
+4	4	+1	# nb_inst_retire                   
+1	1	+1	# nb_load_store_queue              
+8	8	+1	# size_store_queue                 [0]    [nb_load_store_queue]
+8	8	+1	# size_load_queue                  [0]    [nb_load_store_queue]
+8	8	+1	# nb_inst_memory                   [0]    [nb_load_store_queue]
+0	0	+1	# link_load_store_unit_with_thread [0][0] [nb_front_end][nb_context]
+1	1	+1	# rename_select_priority           
+1	1	+1	# rename_select_load_balancing     
+1	1	+1	# rename_select_nb_front_end_select
+4 	4	+1	# max_branch_speculated            
+32	32	+1	# size_general_data                
+64	64	+1	# nb_general_register              
+8	8	+1	# nb_special_register              
+2	2	+1	# nb_reg_free                      
+4	8	*2	# nb_bank                          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/configuration/config-thread_4a.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/configuration/config-thread_4a.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/configuration/config-thread_4a.gen	(revision 145)
@@ -0,0 +1,23 @@
+Rename_unit
+1	1	+1	# nb_front_end                     
+4	4	+1	# nb_context                       [0]    [nb_front_end]
+4	4	+1	# nb_inst_decod                    [0]    [nb_front_end]
+4	4	+1	# nb_inst_insert                   
+4	4	+1	# nb_inst_retire                   
+1	1	+1	# nb_load_store_queue              
+8	8	+1	# size_store_queue                 [0]    [nb_load_store_queue]
+8	8	+1	# size_load_queue                  [0]    [nb_load_store_queue]
+4	4	+1	# nb_inst_memory                   [0]    [nb_load_store_queue]
+0	0	+1	# link_load_store_unit_with_thread [0][0] [nb_front_end][nb_context]
+0	0	+1	# link_load_store_unit_with_thread [0][1] [nb_front_end][nb_context]
+0	0	+1	# link_load_store_unit_with_thread [0][2] [nb_front_end][nb_context]
+0	0	+1	# link_load_store_unit_with_thread [0][3] [nb_front_end][nb_context]
+1	1	+1	# rename_select_priority           
+1	1	+1	# rename_select_load_balancing     
+1	1	+1	# rename_select_nb_front_end_select
+4 	4	+1	# max_branch_speculated            
+32	32      +1	# size_general_data                
+256	256     +1	# nb_general_register              
+16	16	+1	# nb_special_register              
+2	2	+1	# nb_reg_free                      
+8	8	*2	# nb_bank                          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/configuration/config-thread_4b.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/configuration/config-thread_4b.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/SelfTest/configuration/config-thread_4b.gen	(revision 145)
@@ -0,0 +1,26 @@
+Rename_unit
+1	1	+1	# nb_front_end                     
+4	4	+1	# nb_context                       [0]    [nb_front_end]
+4	4	+1	# nb_inst_decod                    [0]    [nb_front_end]
+4	4	+1	# nb_inst_insert                   
+4	4	+1	# nb_inst_retire                   
+2	2	+1	# nb_load_store_queue              
+8	8	+1	# size_store_queue                 [0]    [nb_load_store_queue]
+4	4	+1	# size_store_queue                 [1]    [nb_load_store_queue]
+8	8	+1	# size_load_queue                  [0]    [nb_load_store_queue]
+4	4	+1	# size_load_queue                  [1]    [nb_load_store_queue]
+4	4	+1	# nb_inst_memory                   [0]    [nb_load_store_queue]
+2	2	+1	# nb_inst_memory                   [1]    [nb_load_store_queue]
+0	0	+1	# link_load_store_unit_with_thread [0][0] [nb_front_end][nb_context]
+1	1	+1	# link_load_store_unit_with_thread [0][1] [nb_front_end][nb_context]
+1	1	+1	# link_load_store_unit_with_thread [0][2] [nb_front_end][nb_context]
+0	0	+1	# link_load_store_unit_with_thread [0][3] [nb_front_end][nb_context]
+1	1	+1	# rename_select_priority           
+1	1	+1	# rename_select_load_balancing     
+1	1	+1	# rename_select_nb_front_end_select
+4 	4	+1	# max_branch_speculated            
+32	32      +1	# size_general_data                
+256	256     +1	# nb_general_register              
+16	16	+1	# nb_special_register              
+2	2	+1	# nb_reg_free                      
+8	8	*2	# nb_bank                          
